> ## Documentation Index
> Fetch the complete documentation index at: https://docs.open.cx/llms.txt
> Use this file to discover all available pages before exploring further.

> Manually trigger a workflow. Use when managing deterministic workflow definitions and triggering or inspecting their runs.

# [Beta] Trigger a workflow



## OpenAPI

````yaml post /workflows/{workflow_id}/trigger
openapi: 3.1.0
info:
  title: OpenCX API
  description: >

    OpenCX is an AI-powered, all-in-one platform for customer support and
    outbound communications.


    Use this API to manage your OpenCX organization's AI agents, actions,
    conversations, contacts, and more.


    To get started, generate a new API key from the dashboard.


    ## Authentication

    All API endpoints require authentication using a Bearer token. You can
    generate an API key from your OpenCX dashboard.


    ## Rate Limiting

    API requests are rate limited to ensure fair usage. The current limits are:

    - 100 requests per minute for standard endpoints

    - 1000 requests per minute for streaming endpoints


    ## Error Handling

    The API uses standard HTTP status codes and returns detailed error messages
    in the response body.
  version: 1.0-beta
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://api.open.cx
    description: Production
security:
  - bearerAuth: []
paths:
  /workflows/{workflow_id}/trigger:
    post:
      tags:
        - Workflows (Beta)
      summary: '[Beta] Trigger a workflow'
      description: >-
        Manually trigger a workflow. The workflow must have a "manual-trigger"
        trigger type and must be active. The workflow runs asynchronously in the
        background.
      operationId: triggerWorkflow
      parameters:
        - schema:
            type: string
          in: path
          name: workflow_id
          required: true
          description: The workflow UUID to trigger
      responses:
        '200':
          description: Default Response
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDto'
components:
  schemas:
    ErrorDto:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````